<patterns>

    <parm name="walltime"  unit="s" mode="line,last" type="float">JuBE: total mean run time: $patfp</parm>
    <parm name="time"  unit="s" mode="line,last" type="float">JuBE: total mean run time: $patfp</parm>

    <parm name="WCT_KA" unit="s" mode="line,last" type="float">JuBE global mean timing statistics:\s*kernel_A\s*$patnfp\s*$patnfp\s*$patnfp\s*$patfp</parm>
    <parm name="WCT_KB" unit="s" mode="line,last" type="float">JuBE global mean timing statistics:\s*kernel_B\s*$patnfp\s*$patnfp\s*$patnfp\s*$patfp</parm>
    <parm name="WCT_KC" unit="s" mode="line,last" type="float">JuBE global mean timing statistics:\s*kernel_C\s*$patnfp\s*$patnfp\s*$patnfp\s*$patfp</parm>
    <parm name="WCT_KD" unit="s" mode="line,last" type="float">JuBE global mean timing statistics:\s*kernel_D\s*$patnfp\s*$patnfp\s*$patnfp\s*$patfp</parm>
    <parm name="WCT_KE" unit="s" mode="line,last" type="float">JuBE global mean timing statistics:\s*kernel_E\s*$patnfp\s*$patnfp\s*$patnfp\s*$patfp</parm>

    <parm name="TIME_INIT_KA" unit="s" mode="line,last" type="float">JuBE global mean timing statistics:\s*kernel_A\s*$patfp\s*$patnfp\s*$patnfp\s*$patnfp</parm>
    <parm name="TIME_INIT_KB" unit="s" mode="line,last" type="float">JuBE global mean timing statistics:\s*kernel_B\s*$patfp\s*$patnfp\s*$patnfp\s*$patnfp</parm>
    <parm name="TIME_INIT_KC" unit="s" mode="line,last" type="float">JuBE global mean timing statistics:\s*kernel_C\s*$patfp\s*$patnfp\s*$patnfp\s*$patnfp</parm>
    <parm name="TIME_INIT_KD" unit="s" mode="line,last" type="float">JuBE global mean timing statistics:\s*kernel_D\s*$patfp\s*$patnfp\s*$patnfp\s*$patnfp</parm>
    <parm name="TIME_INIT_KE" unit="s" mode="line,last" type="float">JuBE global mean timing statistics:\s*kernel_E\s*$patfp\s*$patnfp\s*$patnfp\s*$patnfp</parm>

    <parm name="TIME_RUN_KA" unit="s" mode="line,last" type="float">JuBE global mean timing statistics:\s*kernel_A\s*$patnfp\s*$patfp\s*$patnfp\s*$patnfp</parm>
    <parm name="TIME_RUN_KB" unit="s" mode="line,last" type="float">JuBE global mean timing statistics:\s*kernel_B\s*$patnfp\s*$patfp\s*$patnfp\s*$patnfp</parm>
    <parm name="TIME_RUN_KC" unit="s" mode="line,last" type="float">JuBE global mean timing statistics:\s*kernel_C\s*$patnfp\s*$patfp\s*$patnfp\s*$patnfp</parm>
    <parm name="TIME_RUN_KD" unit="s" mode="line,last" type="float">JuBE global mean timing statistics:\s*kernel_D\s*$patnfp\s*$patfp\s*$patnfp\s*$patnfp</parm>
    <parm name="TIME_RUN_KE" unit="s" mode="line,last" type="float">JuBE global mean timing statistics:\s*kernel_E\s*$patnfp\s*$patfp\s*$patnfp\s*$patnfp</parm>

    <parm name="time_KA" unit="s" mode="line,last" type="float">JuBE global mean timing statistics:\s*kernel_A\s*$patnfp\s*$patfp\s*$patnfp\s*$patnfp</parm>
    <parm name="time_KB" unit="s" mode="line,last" type="float">JuBE global mean timing statistics:\s*kernel_B\s*$patnfp\s*$patfp\s*$patnfp\s*$patnfp</parm>
    <parm name="time_KC" unit="s" mode="line,last" type="float">JuBE global mean timing statistics:\s*kernel_C\s*$patnfp\s*$patfp\s*$patnfp\s*$patnfp</parm>
    <parm name="time_KD" unit="s" mode="line,last" type="float">JuBE global mean timing statistics:\s*kernel_D\s*$patnfp\s*$patfp\s*$patnfp\s*$patnfp</parm>
    <parm name="time_KE" unit="s" mode="line,last" type="float">JuBE global mean timing statistics:\s*kernel_E\s*$patnfp\s*$patfp\s*$patnfp\s*$patnfp</parm>

    <parm name="TIME_FINALIZE_KA" unit="s" mode="line,last" type="float">JuBE global mean timing statistics:\s*kernel_A\s*$patnfp\s*$patnfp\s*$patfp\s*$patnfp</parm>
    <parm name="TIME_FINALIZE_KB" unit="s" mode="line,last" type="float">JuBE global mean timing statistics:\s*kernel_B\s*$patnfp\s*$patnfp\s*$patfp\s*$patnfp</parm>
    <parm name="TIME_FINALIZE_KC" unit="s" mode="line,last" type="float">JuBE global mean timing statistics:\s*kernel_C\s*$patnfp\s*$patnfp\s*$patfp\s*$patnfp</parm>
    <parm name="TIME_FINALIZE_KD" unit="s" mode="line,last" type="float">JuBE global mean timing statistics:\s*kernel_D\s*$patnfp\s*$patnfp\s*$patfp\s*$patnfp</parm>
    <parm name="TIME_FINALIZE_KE" unit="s" mode="line,last" type="float">JuBE global mean timing statistics:\s*kernel_E\s*$patnfp\s*$patnfp\s*$patfp\s*$patnfp</parm>


    <parm name="MEM_MAX" unit="" mode="line,last" type="int">JuBE: total max mem:\s*$patint</parm>

    <parm name="MEM_KA" unit="" mode="line,last" type="int">JuBE: max mem for kernel_A:\s*$patint</parm>
    <parm name="MEM_KB" unit="" mode="line,last" type="int">JuBE: max mem for kernel_B:\s*$patint</parm>
    <parm name="MEM_KC" unit="" mode="line,last" type="int">JuBE: max mem for kernel_C:\s*$patint</parm>
    <parm name="MEM_KD" unit="" mode="line,last" type="int">JuBE: max mem for kernel_D:\s*$patint</parm>
    <parm name="MEM_KE" unit="" mode="line,last" type="int">JuBE: max mem for kernel_E:\s*$patint</parm>

</patterns>